Partner Admin

Get analytics

GET
/apps/{appId}/analytics

Authorization

appApiKey
headerx-app-api-key<token>

App-scoped API key. It is the only credential on partner-admin reads, paper-trading admin, and webhook rotate or replay. POST /bot-protection/verify requires it together with x-app-id.

Path Parameters

appId*string

Response Body

200

application/json
  1. response
totalUsers*number
totalOrders*number
ordersByStatus*
ordersByVenue*
usersLast30Days*number
usersLast7Days*number
ordersLast30Days*number
ordersLast7Days*number
totalCashUsd*number
totalPositionValueUsd*number
totalPositionCostBasisUsd*number
totalFeesCollectedUsd*number
totalFeeRevenueUsd*number
totalPlatformFeeShareUsd*number
depositsByChain*
Example Request
curl -X GET 'https://api.t.sufwankhalid.com/apps/string/analytics'
Example Response
{  "totalUsers": 0,  "totalOrders": 0,  "ordersByStatus": {    "property1": 0,    "property2": 0  },  "ordersByVenue": {    "property1": 0,    "property2": 0  },  "usersLast30Days": 0,  "usersLast7Days": 0,  "ordersLast30Days": 0,  "ordersLast7Days": 0,  "totalCashUsd": 0,  "totalPositionValueUsd": 0,  "totalPositionCostBasisUsd": 0,  "totalFeesCollectedUsd": 0,  "totalFeeRevenueUsd": 0,  "totalPlatformFeeShareUsd": 0,  "depositsByChain": {    "property1": 0,    "property2": 0  }}